using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 家庭成员儿童体质评测结果
    /// </summary>
    public class YB_UserChildBody
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 体质类型
        /// </summary>
        [SugarColumn(ColumnDescription = "体质类型")]
        public ChildBodyTypeEnum Type { get; set; }
        /// <summary>
        /// 判定结果,1-是,2-倾向是,3-否
        /// </summary>
        [SugarColumn(ColumnDescription = "判定结果,1-是,2-倾向是,3-否")]
        public ChildBodyTypeResult Result { get; set; }
        /// <summary>
        /// 得分
        /// </summary>
        [SugarColumn(ColumnDescription = "得分")]
        public int Score { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID")]
        public int UserId { get; set; }

        /// <summary>
        /// 家庭成语ID
        /// </summary>
        [SugarColumn(ColumnDescription = "家庭成语ID", IndexGroupNameList = new string[] { "index_familyid" })]
        public int FamilyId { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
